﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
   
    public partial class FormСycleAlgoritm : Form
    {
        /// <summary>
        /// Метод для получения числа от пользователя
        /// </summary>
        /// <param name="x0"> Число получаемое от пользователя </param>
        /// <param name="xk"> Число получаемое от пользователя </param>
        /// <param name="dx"> Число получаемое от пользователя </param>
        public void CalculateNum(ref double x0, ref double xk, ref double dx)
        {
            try
            {
                x0 = Convert.ToDouble(tbInputX0.Text);
            }
            catch
            {
                tbInputX0.Text = "Ошибка";
            }
            try
            {
                xk = Convert.ToDouble(tbInputXK.Text);
            }
            catch
            {
                tbInputXK.Text = "Ошибка";
            }
            try
            {
                dx = Convert.ToDouble(tbInputDX.Text);
            }
            catch
            {
                tbInputDX.Text = "Ошибка";
            }
        }
        /// <summary>
        /// Метод который вычисляет и выводит ответ
        /// </summary>
        public void Resh()
        {
            // Очистка строки
            tbOutput.Clear();
            // Объявление переменных
            double x0 = 0, xk = 0, dx = 0, y = 0;
            // Получение чисел
            CalculateNum(ref x0, ref xk, ref dx);
            double x = x0;
            //Цикл с вычислением и выводом ответа
            tbOutput.Text += "Выполнил Санников Игорь" + Environment.NewLine;
            for (double i = x; i <= xk; i += dx)
            {
                y = Math.Round((Math.Pow(Math.Log(Math.Sin(Math.Pow(i, 3) + 0.0025)), 3 / 2)) + (0.8 * Math.Pow(10, -3)), 4);
                tbOutput.Text += "x = " + i + "; y = " + y + Environment.NewLine;
            }
        }
        public FormСycleAlgoritm()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод для обработки нажатия на кнопку
        /// </summary>
        private void btnCalculate_Click(object sender, EventArgs e)
        {
            Resh();
        }
    }
}
