﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    /// <summary>
    /// Создаём графическое изображение по образцу
    /// </summary>
    public partial class Draw : Form
    {
        /// <summary>
        /// Создаём цвета 
        /// </summary>
        SolidBrush lightRed = new SolidBrush(Color.FromArgb(224, 45, 45));
        SolidBrush darkRed = new SolidBrush(Color.FromArgb(184, 31, 31));
        /// <summary>
        /// Создаём экземпляр класса Graphics
        /// </summary>
        Graphics g;
        public Draw()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Создаём рисунок
        /// </summary>
        private void Draw_Paint(object sender, PaintEventArgs e)
        {
            g = CreateGraphics();

            // Первый многоугольник
            Point p1 = new Point(70, 50);
            Point p2 = new Point(40, 100);
            Point p3 = new Point(70, 150);
            Point p4 = new Point(40, 200);
            Point p5 = new Point(70, 250);
            Point p6 = new Point(130, 150);

            PointF[] First = new PointF[] { p1, p2, p3, p4, p5, p6 };
            g.FillPolygon(lightRed, First);

            // Второй многоугольник
            Point po1 = new Point(70, 50);
            Point po2 = new Point(200, 50);
            Point po3 = new Point(260, 150);
            Point po4 = new Point(200, 250);
            Point po5 = new Point(70, 250);
            Point po6 = new Point(100, 200);
            Point po7 = new Point(170, 200);
            Point po8 = new Point(200, 150);
            Point po9 = new Point(170, 100);
            Point po10 = new Point(100, 100);

            PointF[] Second = new PointF[] { po1, po2, po3, po4, po5, po6, po7, po8, po9, po10 };
            g.FillPolygon(darkRed, Second);
        }
    }
}
